<?xml version="1.0" encoding="UTF-8"?>
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron"
    xmlns:sqf="http://www.schematron-quickfix.com/validator/process"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" queryBinding="xslt2">
    <sch:pattern>
        <sch:rule context="img">
            <sch:assert test="parent::node()[local-name() = 'a']" sqf:fix="addAnchorAndTitle"> Link is
                required for images</sch:assert>
        
             <sqf:fix id="addAnchorAndTitle">
                <sqf:description>
                    <sqf:title>Surround image with a hypertext link</sqf:title>
                    <sqf:p>The image will be surrounded with a hypertext link. The value of the link
                        will be inserted by the user.</sqf:p>
                </sqf:description>

                <sqf:user-entry name="href">
                    <sqf:description>
                        <sqf:title>Enter anchor href value:</sqf:title>
                    </sqf:description>
                </sqf:user-entry>
                
                <sqf:user-entry name="linkTitle">
                    <sqf:description>
                        <sqf:title>Enter link title:</sqf:title>
                    </sqf:description>
                </sqf:user-entry>
                 
                <sqf:replace>
                    <a href="{$href}" title="{$linkTitle}">
                        <xsl:copy-of select="."/>
                    </a>
                </sqf:replace>
            </sqf:fix>
            
        </sch:rule>
    </sch:pattern>
</sch:schema>
